RealEstate/APPlication/RealEstate/Controllers/ProjectController.cs
using RealEstate.Config;
using RealEstate.Database.Service;
using System.Web.Mvc;
using RealEstate.Models;
namespace RealEstate.Controllers
{
    [CustomAuthorizationFilter]
    public class ProjectController : Controller
    {
        private readonly IMA_Project_Service MA_Project_Service;
        public ProjectController()
        {
            MA_Project_Service = new MA_Project_Service();
        }
        public ActionResult Index()
        {
            return View(MA_Project_Service.GetAll());
        }

        public ActionResult AddEditProject(int id = 0)
        {
            var model = new ProjectModel();
            if (id != 0)
            {
                var entity = MA_Project_Service.Get(id);
                model = entity.ToDataTable().ToModelOf<ProjectModel>();
            }
            return View(model);
        }

        [HttpPost]
        public ActionResult AddEditProject(ProjectModel model)
        {
            if (ModelState.IsValid)
            {
                var result = MA_Project_Service.AddEditProject(model);
                if (result.Success)
                    return RedirectToAction("Index");
                else
                    return View(model);
            }
            return View(model);

        }
        public ActionResult DeleteProject(int id)
        {
            var result = MA_Project_Service.DeleteProject(id);
            return RedirectToAction("Index");

        }


    }
}

RealEstate/APPlication/RealEstate/Views/Project/AddEditProject.cshtml
@model RealEstate.Models.ProjectModel

@{
    ViewBag.Title = "Add Edit Project";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@using (Html.BeginForm("AddEditProject", "Project", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true, "", new { @class = "text-danger" })


    <div class="row _user_salary">

        <div class="col-xl-12 col-md-6">
            <div class="card bg-white text-black mb-1">
                @*<div class="card-header text-left">
                        Salary Detail
                    </div>*@
                <div class="card-body text-center">

                    <div class="row">
                        <div class="col-sm-6">
                            <div class="form-group">
                                @Html.LabelFor(model => model.ProjectName, htmlAttributes: new { @class = "control-label col-md-5 text-left" })
                                <div class="col-md-7 float-right">
                                    @Html.EditorFor(model => model.ProjectName, new { htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.ProjectName, "", new { @class = "text-danger" })
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-xl-12 col-md-6">
            <div class="card bg-white text-black mb-1">
                <div class="card-body text-center">
                    <div class="text-center">
                        <input type="submit" value="Submit" onclick="showloader(true);" class="btn btn-primary" />
                        <span><a class="btn btn-danger" href="~/Project/Index">Cancel</a></span>
                    </div>
                </div>
            </div>
        </div>
    </div>
}
@section scripts{
    <script type="text/javascript">
    </script>
}

RealEstate/APPlication/RealEstate/Views/Project/Index.cshtml
@model IEnumerable<RealEstate.Database.Entity.MA_Project>
@{
    ViewBag.Title = "Project List";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<div class="card mb-4 employee-details">
    @*<div class="card-header">DataTable Example</div>*@
    <div class="card-body p-0">
        <div class="datatable table-responsive">
            <div id="dataTable_wrapper" class="dataTables_wrapper dt-bootstrap4">
                <table id="example" class="table table-striped">
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach (var item in Model)
                        {
                            <tr>
                                <td style="color: blue;"><a href="/Project/AddEditProject/@item.Id">@item.ProjectName</a> </td>
                                <td>
                                    <span title="Edit"><a href="/Project/AddEditProject/@item.Id"><i class="fas fa-edit"></i></a></span> |
                                    <span title="Delete"><a href="/Project/DeleteProject/@item.Id"><i class="fas fa-trash-alt"></i></a></span>
                                </td>
                            </tr>
                        }
                    </tbody>

                </table>
            </div>
        </div>
    </div>
    <div class="card-footer text-right">
        <a class="btn btn-primary btn-edit-user" href="/Project/AddEditProject">Add Project</a>
    </div>
</div>









@section Scripts
{
    <script type="text/javascript">
        $(document).ready(function () {
            $('#example').DataTable({
                "pagingType": "full_numbers"
            });
        });
    </script>
}